Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.logging
Class WLErrorManager

    java.lang.Object
      java.util.logging.ErrorManager
          weblogic.logging.WLErrorManager

public class WLErrorManager
extends ErrorManager

An ErrorManager that handles errors by removing the failing handler from the logger and logging a WLLevel.CRITICAL message. The error manager has a tolerance limit of 5 exceptions that may be reported by the handlers. If the errors exceed this limit, the handler is removed from the Logger. When the handler is removed it no longer gets the publish messages.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class java.util.logging.ErrorManager
`CLOSE_FAILURE, FLUSH_FAILURE, FORMAT_FAILURE, GENERIC_FAILURE, OPEN_FAILURE, WRITE_FAILURE`

Constructor Summary
`WLErrorManager(Handler handler)` Initialize this instance with the associated handler.

Method Summary
`void` | `error(String msg, Exception ex, int code)` Callback method to inform the manager of an error condition in the Handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLErrorManager

    public WLErrorManager(Handler handler)

  Initialize this instance with the associated handler.

Method Detail

### error

    public void error(String msg,
                      Exception ex,
                      int code)

  Callback method to inform the manager of an error condition in the Handler.

  Parameters:
    `msg` - Message indicating the details about the error condition.
    `ex` - The exception which is causing the error condition.
    `code` - Numeric identifier which tells the type of error being reported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD